Subject: bug#36201: Inserting files with r *before* the address

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Sat, 29 Jun 2019 22:35:23 +0800

>>>>> "AG" == Assaf Gordon <[email-masked]> writes:
AG> Off the top of my head, I can't think of a built-in way to insert a file
AG> before an address (am I missing something?).

AG> One could probably come up with some incantation using multiline
AG> commands (D/G/H/N/P):
AG> https://www.gnu.org/software/sed/manual/sed.html#Multiline-techniques

OK maybe at the r documentation say "The reader is welcome to add a recipe for adding
a file before the line (like i vs. a)." Else folks will wonder that
nobody thought of it.

AG> But I think this one is easier using gawk:
No fair using gawk. We're talking about sed.

AG> Or are you asking for a new feature of inserting a file before an
AG> address?

I think no more features should be added to sed as there is perl...